<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
ExecJobMonitor
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.job.ExecJobMonitor class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ExecJobMonitor";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExecJobMonitor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobProcessor.html" title="class in ch.javasoft.job"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/ExecJobMonitor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExecJobMonitor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.job</FONT>
<BR>
Class ExecJobMonitor</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.job.ExecJobMonitor</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.54"><B>ExecJobMonitor</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</DL>
</PRE>

<P>
The <code>ExecJobMonitor</code> adds some functions specific for 
 <A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><CODE>ExecJob</CODE></A>s to the normal <A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job"><CODE>JobMonitor</CODE></A> functions. For instance, 
 input and output stream handling methods are available, such as piping the
 output of the job to some output stream, or piping the output of one job to
 the input of another job.
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#ExecJobMonitor(java.lang.Process)">ExecJobMonitor</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Process.html" title="class or interface in java.lang">Process</A>&nbsp;process)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#closeStreams()">closeStreams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Close the registered streams on termination</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#createForException(java.lang.Throwable)">createForException</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&nbsp;th)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#getErrorStream()">getErrorStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#getInputStream()">getInputStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#getJobResult()">getJobResult</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#getOutputStream()">getOutputStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Process.html" title="class or interface in java.lang">Process</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#getProcess()">getProcess</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#interrupt()">interrupt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Interrupts the process or thread, or does nothing if 
 <A HREF="../../../ch/javasoft/job/JobMonitor.html#isRunning()"><CODE>JobMonitor.isRunning()</CODE></A> returns <code>false</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#isRunning()">isRunning</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeErr(java.io.OutputStream, boolean)">pipeErr</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;err,
               boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the error stream of the current process to the given stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeFrom(ch.javasoft.job.ExecJobMonitor, boolean)">pipeFrom</A></B>(<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&nbsp;src,
                 boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the output and error stream of <code>src</code> to the standard
 input of the current process.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeFrom(java.io.InputStream, boolean)">pipeFrom</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in,
                 boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Read from the given input stream and pipe it to the standard input of the 
 current process.<br/></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeIn(java.io.InputStream, boolean)">pipeIn</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in,
             boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Read from the given input stream and pipe it to the standard input of the 
 current process.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeOut(java.io.OutputStream, boolean)">pipeOut</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
               boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the output stream of the current process to the given stream</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeTo(ch.javasoft.job.ExecJobMonitor, boolean)">pipeTo</A></B>(<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&nbsp;dst,
             boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the output and error stream of the current process to the standard
 input of <code>dst</code>.<br/></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeTo(java.io.OutputStream, java.io.OutputStream, boolean)">pipeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;err,
             boolean&nbsp;closeOnTerminate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Pipe the output and error stream of the current process to the given
 streams.<br/></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pushInput(java.lang.String...)">pushInput</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>...&nbsp;inputLines)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 Pushes the given lines to the process' output stream, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#setResult(ch.javasoft.job.JobResult)">setResult</A></B>(<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;result)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResult()">waitForResult</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Blocks the current thread until the result is available.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&gt; 
<BR>
void</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResultThrowException(java.lang.Class)">waitForResultThrowException</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;exClass)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Like <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResult()"><CODE>waitForResult()</CODE></A>, but if the result was exceptional, an
 Exception is thrown.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForStdOutString()">waitForStdOutString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Like <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResult()"><CODE>waitForResult()</CODE></A>, but returning a string containing the
 stuff which was written to the standard output of the process.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ExecJobMonitor(java.lang.Process)"><!-- --></A><H3>
ExecJobMonitor</H3>
<PRE>
protected <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.63"><B>ExecJobMonitor</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Process.html" title="class or interface in java.lang">Process</A>&nbsp;process)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createForException(java.lang.Throwable)"><!-- --></A><H3>
createForException</H3>
<PRE>
protected static <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.67"><B>createForException</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&nbsp;th)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getProcess()"><!-- --></A><H3>
getProcess</H3>
<PRE>
protected <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Process.html" title="class or interface in java.lang">Process</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.78"><B>getProcess</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setResult(ch.javasoft.job.JobResult)"><!-- --></A><H3>
setResult</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.82"><B>setResult</B></A>(<A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;&nbsp;result)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="interrupt()"><!-- --></A><H3>
interrupt</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.88"><B>interrupt</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#interrupt()">JobMonitor</A></CODE></B></DD>
<DD>Interrupts the process or thread, or does nothing if 
 <A HREF="../../../ch/javasoft/job/JobMonitor.html#isRunning()"><CODE>JobMonitor.isRunning()</CODE></A> returns <code>false</code>. The 
 <A HREF="../../../ch/javasoft/job/JobMonitor.html#waitForResult()"><CODE>JobMonitor.waitForResult()</CODE></A> method receives an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang"><CODE>InterruptedException</CODE></A>
 if the job status is affected by this call.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#interrupt()">interrupt</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isRunning()"><!-- --></A><H3>
isRunning</H3>
<PRE>
public boolean <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.92"><B>isRunning</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#isRunning()">isRunning</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if still processing, false if terminated (with or without
                        exception)</DL>
</DD>
</DL>
<HR>

<A NAME="getJobResult()"><!-- --></A><H3>
getJobResult</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt; <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.102"><B>getJobResult</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#getJobResult()">getJobResult</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the result, or <code>null</code> if <A HREF="../../../ch/javasoft/job/JobMonitor.html#isRunning()"><CODE>JobMonitor.isRunning()</CODE></A> returns 
                        <code>true</code></DL>
</DD>
</DL>
<HR>

<A NAME="waitForResult()"><!-- --></A><H3>
waitForResult</H3>
<PRE>
public <A HREF="../../../ch/javasoft/job/JobResult.html" title="interface in ch.javasoft.job">JobResult</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt; <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.106"><B>waitForResult</B></A>()
                              throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#waitForResult()">JobMonitor</A></CODE></B></DD>
<DD>Blocks the current thread until the result is available.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html#waitForResult()">waitForResult</A></CODE> in interface <CODE><A HREF="../../../ch/javasoft/job/JobMonitor.html" title="interface in ch.javasoft.job">JobMonitor</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Void.html" title="class or interface in java.lang">Void</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the result
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE> - if execution has been interrupted, e.g.
                                                                        by calling <A HREF="../../../ch/javasoft/job/JobMonitor.html#interrupt()"><CODE>JobMonitor.interrupt()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="waitForResultThrowException(java.lang.Class)"><!-- --></A><H3>
waitForResultThrowException</H3>
<PRE>
public &lt;E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A>&gt; void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.143"><B>waitForResultThrowException</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;E&gt;&nbsp;exClass)
                                 throws E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></PRE>
<DL>
<DD>Like <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResult()"><CODE>waitForResult()</CODE></A>, but if the result was exceptional, an
 Exception is thrown. The exception type to be thrown is defined with the
 <code>exClass</code> parameter, every exception not being of that type
 will be transformed into a <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang"><CODE>RuntimeException</CODE></A> if necessary.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>exClass</CODE> - The desired exception type, e.g. use 
                                        <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang"><CODE>RuntimeException</CODE></A><tt>.class</tt> that only runtime 
                                        exceptions are thrown, or <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang"><CODE>Throwable</CODE></A><tt>.class</tt>
                                        to rethrow every occuring exception unchanged.
<DT><B>Throws:</B>
<DD><CODE>E</CODE> - The exception of the specified type
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/RuntimeException.html" title="class or interface in java.lang">RuntimeException</A></CODE> - If an exception was thrown not being of type E
                                                        and not being an Error. If it was already a 
                                                        runtime exception, it is rethrown, if not, it
                                                        is nested in a runtime exception which is then
                                                        thrown.
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Error.html" title="class or interface in java.lang">Error</A></CODE> - If an error was thrown not being of type E
<DD><CODE>E extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Throwable.html" title="class or interface in java.lang">Throwable</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="waitForStdOutString()"><!-- --></A><H3>
waitForStdOutString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.176"><B>waitForStdOutString</B></A>()
                           throws <A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A>,
                                  <A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job">ExitValueException</A>,
                                  <A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job">StdErrNonEmptyException</A>,
                                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></PRE>
<DL>
<DD>Like <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#waitForResult()"><CODE>waitForResult()</CODE></A>, but returning a string containing the
 stuff which was written to the standard output of the process. If the
 process also wrote to the standard error, a 
 <A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job"><CODE>StdErrNonEmptyException</CODE></A> is thrown. If the process exits with an
 exit code unequal to 0, an <A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job"><CODE>ExitValueException</CODE></A> is thrown.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the string containing what was written to the standard output of
                        the process
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../ch/javasoft/job/ExitValueException.html" title="class in ch.javasoft.job">ExitValueException</A></CODE> - if the process terminated with an exit
                                                                        value unequal to 0
<DD><CODE><A HREF="../../../ch/javasoft/job/StdErrNonEmptyException.html" title="class in ch.javasoft.job">StdErrNonEmptyException</A></CODE> - if the process wrote to the standard
                                                                        error
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/InterruptedException.html" title="class or interface in java.lang">InterruptedException</A></CODE> - if waiting for termination of the 
                                                                        process was interrupted, e.g.
                                                                        by calling <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#interrupt()"><CODE>interrupt()</CODE></A>
<DD><CODE><A HREF="../../../ch/javasoft/job/ExecException.html" title="class in ch.javasoft.job">ExecException</A></CODE> - if any other exception occurred during
                                                                        the process execution</DL>
</DD>
</DL>
<HR>

<A NAME="getErrorStream()"><!-- --></A><H3>
getErrorStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.197"><B>getErrorStream</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the standard error of the process, as an input stream</DL>
</DD>
</DL>
<HR>

<A NAME="getInputStream()"><!-- --></A><H3>
getInputStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.205"><B>getInputStream</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the standard output of the process, as an input stream</DL>
</DD>
</DL>
<HR>

<A NAME="getOutputStream()"><!-- --></A><H3>
getOutputStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A> <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.213"><B>getOutputStream</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the standard input of the process, as an output stream</DL>
</DD>
</DL>
<HR>

<A NAME="pushInput(java.lang.String...)"><!-- --></A><H3>
pushInput</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.229"><B>pushInput</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>...&nbsp;inputLines)</PRE>
<DL>
<DD><p>
 Pushes the given lines to the process' output stream, i.e. to the 
 standard input. Each line is printed separately, followed by a system
 dependant new line separator. After pushing all lines, the standard input
 is closed to indicate end of input.
 
 <p>Pushing the lines is performed in a separate thread.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>inputLines</CODE> - The lines to push to the standard input</DL>
</DD>
</DL>
<HR>

<A NAME="pipeFrom(ch.javasoft.job.ExecJobMonitor, boolean)"><!-- --></A><H3>
pipeFrom</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.258"><B>pipeFrom</B></A>(<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&nbsp;src,
                     boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Pipe the output and error stream of <code>src</code> to the standard
 input of the current process.
 
 <p>This is a convenience method, a call behaves exactly like calling
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeIn(java.io.InputStream, boolean)"><CODE>pipeIn(InputStream, boolean)</CODE></A> with ouptut and error stream of
 <code>src</code>.
 
 <p>Piping is performed in separate threads.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source process to get the input from<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, standard output and error
                                                        of <code>src</code> will be closed when the
                                                        current process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeTo(ch.javasoft.job.ExecJobMonitor, boolean)"><!-- --></A><H3>
pipeTo</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.279"><B>pipeTo</B></A>(<A HREF="../../../ch/javasoft/job/ExecJobMonitor.html" title="class in ch.javasoft.job">ExecJobMonitor</A>&nbsp;dst,
                   boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Pipe the output and error stream of the current process to the standard
 input of <code>dst</code>.<br/>
 
 <p>This is a convenience method, a call behaves exactly like calling
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeOut(java.io.OutputStream, boolean)"><CODE>pipeOut(OutputStream, boolean)</CODE></A> and 
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeErr(java.io.OutputStream, boolean)"><CODE>pipeErr(OutputStream, boolean)</CODE></A> with the standard input of
 <code>dst</code>.
 
 <p>Piping is performed in separate threads.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>dst</CODE> - the target process to write the output to<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, standard input of
                                                        <code>dst</code> will be closed when the
                                                        current process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeTo(java.io.OutputStream, java.io.OutputStream, boolean)"><!-- --></A><H3>
pipeTo</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.299"><B>pipeTo</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;err,
                   boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Pipe the output and error stream of the current process to the given
 streams.<br/>
 
 <p>This is a convenience method, a call behaves exactly like calling
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeOut(java.io.OutputStream, boolean)"><CODE>pipeOut(OutputStream, boolean)</CODE></A> and 
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeErr(java.io.OutputStream, boolean)"><CODE>pipeErr(OutputStream, boolean)</CODE></A> with the respective streams.
 
 <p>Piping is performed in separate threads.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>out</CODE> - the target stream for standard output<DD><CODE>err</CODE> - the target stream for standard error<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, both target streams will 
                                                        be closed when the current process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeFrom(java.io.InputStream, boolean)"><!-- --></A><H3>
pipeFrom</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.318"><B>pipeFrom</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in,
                     boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Read from the given input stream and pipe it to the standard input of the 
 current process.<br/>
 
 <p>This is a convenience method, a call behaves exactly like calling
 <A HREF="../../../ch/javasoft/job/ExecJobMonitor.html#pipeIn(java.io.InputStream, boolean)"><CODE>pipeIn(InputStream, boolean)</CODE></A>.
 
 <p>Piping is performed in a separate thread.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>in</CODE> - the source stream to get the input from<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, the input stream
                                                        <code>in</code> will be closed when the
                                                        current process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeOut(java.io.OutputStream, boolean)"><!-- --></A><H3>
pipeOut</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.333"><B>pipeOut</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
                    boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Pipe the output stream of the current process to the given stream
 
 <p>Piping is performed in a separate thread.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>out</CODE> - the target stream for standard output<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, the output stream 
                                                        <code>out</code> will be closed when the current 
                                                        process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeErr(java.io.OutputStream, boolean)"><!-- --></A><H3>
pipeErr</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.353"><B>pipeErr</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;err,
                    boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Pipe the error stream of the current process to the given stream
 
 <p>Piping is performed in a separate thread.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>err</CODE> - the target stream for standard error<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, the output stream 
                                                        <code>err</code> will be closed when the current 
                                                        process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="pipeIn(java.io.InputStream, boolean)"><!-- --></A><H3>
pipeIn</H3>
<PRE>
public void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.374"><B>pipeIn</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A>&nbsp;in,
                   boolean&nbsp;closeOnTerminate)</PRE>
<DL>
<DD>Read from the given input stream and pipe it to the standard input of the 
 current process.
 
 <p>Piping is performed in a separate thread.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>in</CODE> - the source stream to get the input from<DD><CODE>closeOnTerminate</CODE> - if <code>true</code>, the input stream
                                                        <code>in</code> will be closed when the
                                                        current process terminates</DL>
</DD>
</DL>
<HR>

<A NAME="closeStreams()"><!-- --></A><H3>
closeStreams</H3>
<PRE>
protected void <A HREF="../../../src-html/ch/javasoft/job/ExecJobMonitor.html#line.394"><B>closeStreams</B></A>()</PRE>
<DL>
<DD>Close the registered streams on termination
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ExecJobMonitor.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJob.html" title="class in ch.javasoft.job"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../ch/javasoft/job/ExecJobProcessor.html" title="class in ch.javasoft.job"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?ch/javasoft/job/ExecJobMonitor.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ExecJobMonitor.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
